

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.25. load &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.26. lock_acquire" href="lock_acquire.html" />
    <link rel="prev" title="7.3.24. io_flush" href="io_flush.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/load.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="lock_acquire.html" title="7.3.26. lock_acquire"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="io_flush.html" title="7.3.24. io_flush"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.25. </span><code class="docutils literal notranslate"><span class="pre">load</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="load">
<h1><span class="section-number">7.3.25. </span><code class="docutils literal notranslate"><span class="pre">load</span></code><a class="headerlink" href="#load" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.25.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">load</span></code> は、使用しているデータベースのテーブルにレコードを登録し、カラムの値を更新します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.25.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>必須の引数は <code class="docutils literal notranslate"><span class="pre">values</span></code> と <code class="docutils literal notranslate"><span class="pre">table</span></code> だけです。残りは省略できます。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load values
     table
     [columns=null]
     [ifexists=null]
     [input_type=json]
     [each=null]
     [output_ids=no]
     [output_errors=no]
     [lock_table=no]
</pre></div>
</div>
<p>このコマンドは特別なコマンドです。他のコマンドはすべてのパラメーターを1行で指定する必要がありますが、このコマンドは <code class="docutils literal notranslate"><span class="pre">values</span></code> の値を別途指定することもできます。</p>
<p>コマンドラインスタイルを使っている場合は次のように <code class="docutils literal notranslate"><span class="pre">values</span></code> の値を指定できます。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load --table Bookmarks
[
{&quot;_key&quot;: &quot;http://groonga.org/&quot;, &quot;title&quot;: &quot;Groonga&quot;},
{&quot;_key&quot;: &quot;http://mroonga.org/&quot;, &quot;title&quot;: &quot;Mroonga&quot;}
]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">[...]</span></code> は <code class="docutils literal notranslate"><span class="pre">values</span></code> の値です。</p>
<p>HTTPスタイルを使っている場合はボディに <code class="docutils literal notranslate"><span class="pre">values</span></code> を指定できます。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% curl \
    --request POST \
    --header &quot;Content-Type: application/json&quot; \
    --data-raw &#39;[{&quot;_key&quot;: &quot;http://groonga.org/&quot;}]&#39; \
    http://localhost:10041/d/load?table=Bookmarks&quot;
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.25.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>使い方を示すために使うスキーマ定義は以下の通りです。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Entries TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Entries content COLUMN_SCALAR Text
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>パラメーター指定で <code class="docutils literal notranslate"><span class="pre">Entries</span></code> テーブルにレコードを追加する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load \
  --table Entries \
  --values &quot;[{\&quot;_key\&quot;:\&quot;Groonga\&quot;,\&quot;content\&quot;:\&quot;It&#39;s very fast!!\&quot;}]&quot;
# [[0, 1337566253.89858, 0.000355720520019531], 1]
</pre></div>
</div>
<p>標準入力のデータを使って <code class="docutils literal notranslate"><span class="pre">Entries</span></code> テーブルにレコードを追加する例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load --table Entries
[
{&quot;_key&quot;: &quot;Groonga&quot;, &quot;content&quot;: &quot;It&#39;s very fast!!&quot;}
]
# [[0, 1337566253.89858, 0.000355720520019531], 1]
</pre></div>
</div>
<p>カラム更新中にテーブルをロックする例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load --table Entries --lock_table yes
[
{&quot;_key&quot;: &quot;Groonga&quot;, &quot;content&quot;: &quot;It&#39;s very fast!!&quot;}
]
# [[0, 1337566253.89858, 0.000355720520019531], 1]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.25.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。引数はカテゴリわけしています。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.25.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>いくつか必須の引数があります。</p>
<div class="section" id="values">
<span id="load-values"></span><h4><span class="section-number">7.3.25.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">values</span></code><a class="headerlink" href="#values" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>ロードする値を指定します。</p>
<p>ロードする値は <code class="docutils literal notranslate"><span class="pre">input_type</span></code> フォーマットになっていないといけません。 <code class="docutils literal notranslate"><span class="pre">input_type</span></code> に <code class="docutils literal notranslate"><span class="pre">json</span></code> を指定した場合は次のいずれかのフォーマットにします。</p>
<p>角括弧スタイル:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[
[COLUMN_NAME1, COLUMN_NAME2, ...],
[VALUE1, VALUE2, ...],
[VALUE1, VALUE2, ...],
...
]
</pre></div>
</div>
<p>波括弧スタイル:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[
{&quot;COLUMN_NAME1&quot;: VALUE1, &quot;COLUMN_NAME2&quot;: VALUE2, ...},
{&quot;COLUMN_NAME1&quot;: VALUE1, &quot;COLUMN_NAME2&quot;: VALUE2, ...},
...
]
</pre></div>
</div>
<p>角括弧スタイルの <code class="docutils literal notranslate"><span class="pre">[COLUMN_NAME1,</span> <span class="pre">COLUMN_NAME2,</span> <span class="pre">...]</span></code> は <a class="reference internal" href="#load-columns"><span class="std std-ref">columns</span></a> パラメーターを指定していないときだけ有効です。</p>
<p>対象のテーブルが主キーを持つテーブルであった場合は、カラム名のどれかを <code class="docutils literal notranslate"><span class="pre">_key</span></code> （主キーを示す疑似カラム名）にしなければいけません。</p>
<p><code class="docutils literal notranslate"><span class="pre">input_type</span></code> に <code class="docutils literal notranslate"><span class="pre">apache-arrow</span></code> を指定した場合は <a class="reference external" href="https://arrow.apache.org/docs/format/Columnar.html#ipc-streaming-format">Apache Arrow IPC Streaming Format</a> を使わなければいけません。 <a class="reference external" href="https://arrow.apache.org/docs/format/Columnar.html#ipc-file-format">Apache Arrow IPC File Format</a> は使えません。</p>
<p>Apache Arrowを使うにはHTTPインターフェイスを使わないといけません。コマンドラインインターフェイスではApache Arrowを使えません。</p>
<p>HTTPリクエストヘッダーの <code class="docutils literal notranslate"><span class="pre">Content-Type</span></code> に <code class="docutils literal notranslate"><span class="pre">application/x-apache-arrow-streaming</span></code> を指定しなければいけません。</p>
<p>適切なレコードバッチサイズを選ばないといけません。Groongaはレコードバッチごとにデータをロードします。もし、とても大きいレコードバッチサイズを選んだら、Groongaは各レコードバッチのすべてのデータを受信するまでロードしはじめることができません。もし、とても小さいレコードバッチサイズを選ぶと、Groongaは随時データをロードできますがオーバーヘッドが大きいでしょう。適切なレコードバッチサイズはシステムによりますが、1024あたりが適切でしょう。</p>
<p><code class="docutils literal notranslate"><span class="pre">values</span></code> を指定していない場合、コマンドラインスタイルのときは標準入力から読み込んだ値を使い、HTTPスタイルのときはボディの値を使います。</p>
</div>
<div class="section" id="table">
<span id="load-table"></span><h4><span class="section-number">7.3.25.4.1.2. </span><code class="docutils literal notranslate"><span class="pre">table</span></code><a class="headerlink" href="#table" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>レコードを追加しようとするテーブルの名前を指定します。</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.25.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>いくつか省略可能な引数があります。</p>
<div class="section" id="columns">
<span id="load-columns"></span><h4><span class="section-number">7.3.25.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">columns</span></code><a class="headerlink" href="#columns" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>テーブルに登録するレコードに値を設定するカラム名のリストを、カンマ区切りで指定します。</p>
</div>
<div class="section" id="ifexists">
<span id="load-ifexists"></span><h4><span class="section-number">7.3.25.4.2.2. </span><code class="docutils literal notranslate"><span class="pre">ifexists</span></code><a class="headerlink" href="#ifexists" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>追加する主キーのレコードがすでにテーブル中に存在するときに実行する式を <a class="reference internal" href="../grn_expr/script_syntax.html"><span class="doc">スクリプト構文</span></a> で指定します。</p>
<p><code class="docutils literal notranslate"><span class="pre">ifexists</span></code> に式を指定し、その式の評価結果が <code class="docutils literal notranslate"><span class="pre">true</span></code> のときは、他のカラム（ <code class="docutils literal notranslate"><span class="pre">_key</span></code> カラム以外のすべてのカラム）の値をすべて更新します。</p>
</div>
<div class="section" id="input-type">
<span id="load-input-type"></span><h4><span class="section-number">7.3.25.4.2.3. </span><code class="docutils literal notranslate"><span class="pre">input_type</span></code><a class="headerlink" href="#input-type" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p><code class="docutils literal notranslate"><span class="pre">values</span></code> のフォーマットを指定します。</p>
<p>HTTP POSTで <code class="docutils literal notranslate"><span class="pre">input_type</span></code> を使うときは適切なHTTP <code class="docutils literal notranslate"><span class="pre">Content-Type</span></code> ヘッダーの値も指定しなければいけないことに注意してください。</p>
<p>指定可能な型と <code class="docutils literal notranslate"><span class="pre">Content-Type</span></code> の値は以下の通りです。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 33%" />
<col style="width: 33%" />
<col style="width: 33%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>型</p></th>
<th class="head"><p><code class="docutils literal notranslate"><span class="pre">Content-Type</span></code></p></th>
<th class="head"><p>説明</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">json</span></code></p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">application/json</span></code></p></td>
<td><p>JSONフォーマットで <code class="docutils literal notranslate"><span class="pre">values</span></code> を指定するときに使います。</p>
<p>これがデフォルトです。</p>
</td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">apache-arrow</span></code></p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">application/x-apache-arrow-streaming</span></code></p></td>
<td><div class="versionadded">
<p><span class="versionmodified added">バージョン 9.1.1 で追加.</span></p>
</div>
<p>Apache Arrowフォーマットで <code class="docutils literal notranslate"><span class="pre">values</span></code> を指定するときに使います。</p>
</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="each">
<span id="load-each"></span><h4><span class="section-number">7.3.25.4.2.4. </span><code class="docutils literal notranslate"><span class="pre">each</span></code><a class="headerlink" href="#each" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>TODO</p>
</div>
<div class="section" id="output-ids">
<span id="load-output-ids"></span><h4><span class="section-number">7.3.25.4.2.5. </span><code class="docutils literal notranslate"><span class="pre">output_ids</span></code><a class="headerlink" href="#output-ids" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>TODO</p>
</div>
<div class="section" id="output-errors">
<span id="load-output-errors"></span><h4><span class="section-number">7.3.25.4.2.6. </span><code class="docutils literal notranslate"><span class="pre">output_errors</span></code><a class="headerlink" href="#output-errors" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>TODO</p>
</div>
<div class="section" id="lock-table">
<span id="load-lock-table"></span><h4><span class="section-number">7.3.25.4.2.7. </span><code class="docutils literal notranslate"><span class="pre">lock_table</span></code><a class="headerlink" href="#lock-table" title="このヘッドラインへのパーマリンク">¶</a></h4>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 8.0.6 で追加.</span></p>
</div>
<p>カラム更新中にテーブルをロックするかどうかを指定します。</p>
<p>デフォルト値は <code class="docutils literal notranslate"><span class="pre">no</span></code> です。</p>
<p>もし、 <code class="docutils literal notranslate"><span class="pre">load</span></code> や <code class="docutils literal notranslate"><span class="pre">delete</span></code> などといった破壊的な変更をするコマンドを同時に実行すると、データベースが壊れる可能性があります。たとえば、 <code class="docutils literal notranslate"><span class="pre">load</span></code> でレコードを更新中にそのレコードを <code class="docutils literal notranslate"><span class="pre">delete</span></code> で削除すると <code class="docutils literal notranslate"><span class="pre">load</span></code> は削除されたレコードを参照してしまうかもしれません。</p>
<p>更新対象のテーブルをロックすることで更新の衝突を防ぐことができますが、書き込み性能は下がります。</p>
<p>このパラメーターに <code class="docutils literal notranslate"><span class="pre">yes</span></code> を指定するとカラム更新中は更新対象のテーブルをロックします。それぞれのレコードの更新手順は次のようになります。</p>
<blockquote>
<div><ol class="arabic simple">
<li><p>更新対象のテーブルをロックする</p></li>
<li><p>更新対象のテーブルにレコードを追加する、あるいは、レコードを参照する</p></li>
<li><p>更新対象のテーブルのロックを解除する</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">lock_table</span></code> が <code class="docutils literal notranslate"><span class="pre">yes</span></code> の場合は更新対象のテーブルをロックする</p></li>
<li><p>対象レコードのカラムを更新する</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">lock_table</span></code> が <code class="docutils literal notranslate"><span class="pre">yes</span></code> の場合は更新対象のテーブルのロックを解除する</p></li>
</ol>
</div></blockquote>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.25.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドは以下のフォーマットのレスポンスを返します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[THE_NUMBER_OF_LOADED_RECORDS]
</pre></div>
</div>
<p>このコマンドは <a class="reference internal" href="../command/command_version.html"><span class="doc">コマンドバージョン</span></a> 3以降のときは以下のフォーマットのレスポンスを返します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>{
  &quot;n_loaded_records&quot;: THE_NUMBER_OF_LOADED_RECORDS,
  &quot;loaded_ids&quot;: [
    LOADED_RECORD&#39;S_ID1,
    LOADED_RECORD&#39;S_ID2,
    ...
  ],
  &quot;errors&quot;: [
    {
      &quot;return_code&quot;: RETURN_CODE_FOR_1ST_RECORD,
      &quot;message&quot;: MESSAGE_FOR_1ST_RECORD
    },
    {
      &quot;return_code&quot;: RETURN_CODE_FOR_2ND_RECORD,
      &quot;message&quot;: MESSAGE_FOR_2ND_RECORD
    },
    ...
  ]
}
</pre></div>
</div>
<p><a class="reference internal" href="#load-output-ids"><span class="std std-ref">output_ids</span></a> が <code class="docutils literal notranslate"><span class="pre">yes</span></code> のときだけ <code class="docutils literal notranslate"><span class="pre">loaded_ids</span></code> を含みます。</p>
<p><a class="reference internal" href="#load-output-errors"><span class="std std-ref">output_errors</span></a> が <code class="docutils literal notranslate"><span class="pre">yes</span></code> のときだけ <code class="docutils literal notranslate"><span class="pre">errors</span></code> を含みます。</p>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.25.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="../grn_expr/script_syntax.html"><span class="doc">スクリプト構文</span></a></p></li>
</ul>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.25. <code class="docutils literal notranslate"><span class="pre">load</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.25.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.25.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.25.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.25.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.25.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#values">7.3.25.4.1.1. <code class="docutils literal notranslate"><span class="pre">values</span></code></a></li>
<li><a class="reference internal" href="#table">7.3.25.4.1.2. <code class="docutils literal notranslate"><span class="pre">table</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.25.4.2. 省略可能引数</a><ul>
<li><a class="reference internal" href="#columns">7.3.25.4.2.1. <code class="docutils literal notranslate"><span class="pre">columns</span></code></a></li>
<li><a class="reference internal" href="#ifexists">7.3.25.4.2.2. <code class="docutils literal notranslate"><span class="pre">ifexists</span></code></a></li>
<li><a class="reference internal" href="#input-type">7.3.25.4.2.3. <code class="docutils literal notranslate"><span class="pre">input_type</span></code></a></li>
<li><a class="reference internal" href="#each">7.3.25.4.2.4. <code class="docutils literal notranslate"><span class="pre">each</span></code></a></li>
<li><a class="reference internal" href="#output-ids">7.3.25.4.2.5. <code class="docutils literal notranslate"><span class="pre">output_ids</span></code></a></li>
<li><a class="reference internal" href="#output-errors">7.3.25.4.2.6. <code class="docutils literal notranslate"><span class="pre">output_errors</span></code></a></li>
<li><a class="reference internal" href="#lock-table">7.3.25.4.2.7. <code class="docutils literal notranslate"><span class="pre">lock_table</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.25.5. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.3.25.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="io_flush.html"
                        title="前の章へ"><span class="section-number">7.3.24. </span><code class="docutils literal notranslate"><span class="pre">io_flush</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="lock_acquire.html"
                        title="次の章へ"><span class="section-number">7.3.26. </span><code class="docutils literal notranslate"><span class="pre">lock_acquire</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="lock_acquire.html" title="7.3.26. lock_acquire"
             >次へ</a> |</li>
        <li class="right" >
          <a href="io_flush.html" title="7.3.24. io_flush"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.25. </span><code class="docutils literal notranslate"><span class="pre">load</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>